<script>
  import {axisBottom} from 'd3-axis';
  import {select} from 'd3-selection';
  import { scaleLinear, scaleLog } from 'd3-scale';

  // Dimensions
  const width = 800;
  const height = 100;
  const margin = { top: 5, right: 5, bottom: 25, left: 5 };
  const innerWidth = width - margin.left - margin.right;
  const innerHeight = height - margin.top - margin.bottom;

  // Array
  const values = [2, 4, 6, 7, 9];
  const scale = scaleLog().domain([1,10]).range([0,innerWidth]);
  function xAxis(element) {
    const x_axis = axisBottom(scale);
     x_axis(select(element));
  };
    
   
</script>

<svg id="ex4" viewBox="0 0 {width} {height}">
  <g transform="translate({margin.left},{margin.top})">
    {#each values as value}
    <g use:xAxis transform="translate(0,70)">
      <circle cx={scale(value)} cy=45 r=10 fill="steelblue" transform="translate(0,-80)"/>
    </g>
    {/each}
    
  </g>
  <text x=400 y=100>x label</text>
  
</svg>

<style>
  text{
     text-anchor: middle;
     font-size: x-small;
     fill: currentColor;

  }
  
</style>

 
  